Invision Power Board Nested BBCodes Script Insertion

Sunday, 16 March 2008

A vulnerability has been reported in Invision Power Board, which can be exploited by malicious people to conduct script insertion attacks.

Input passed as nested custom BBCodes is not properly sanitised before being stored. This can be exploited to insert intrinsic events with arbitrary JavaScript code, which is executed in a user's browser session in context of an affected site when the malicious data is viewed.

The vulnerability is reported in version 2.3.4 downloaded before 2008-03-13. Other versions may also be affected.

Update to version 2.3.4 downloaded after 2008-03-12.

Apply the vendor's official patch:

Provided and/or discovered by:
The vendor credits

Original Advisory:

Share this content:
Home | News | Articles | Advisories | Submit | Alerts | Links | What is XSS | About | Contact | Some Rights Reserved.